From 68c13d9bd950e3a4de78bdc26a70838cb925b663 Mon Sep 17 00:00:00 2001
From: Sanket Markan <sanketmarkan@gmail.com>
Date: Mon, 7 Mar 2016 18:29:38 +0530
Subject: [PATCH] removed check for qt version older than 5

---
 src/EffectsEngine/EffectsEngine.cpp | 10 ----------
 1 file changed, 10 deletions(-)

diff --git a/src/EffectsEngine/EffectsEngine.cpp b/src/EffectsEngine/EffectsEngine.cpp
index 3b56104..da7e139 100644
--- a/src/EffectsEngine/EffectsEngine.cpp
+++ b/src/EffectsEngine/EffectsEngine.cpp
@@ -27,11 +27,7 @@
 #include <QXmlStreamWriter>
 
 #include <QtGlobal>
-#if QT_VERSION >= QT_VERSION_CHECK(5,0,0)
 # include <QStandardPaths>
-#else
-# include <QDesktopServices>
-#endif
 
 #ifdef Q_OS_WIN
 # include <windows.h>
@@ -46,14 +42,8 @@
 
 EffectsEngine::EffectsEngine()
 {
-#if QT_VERSION >= QT_VERSION_CHECK(5,0,0)
     m_cache = new QSettings( QStandardPaths::writableLocation(
                     QStandardPaths::CacheLocation ) + "/effects",
-#else
-    m_cache = new QSettings( QDesktopServices::storageLocation(
-                    QDesktopServices::CacheLocation ) + "/effects",
-#endif
-
                              QSettings::IniFormat, this );
     m_cache->setFallbacksEnabled( false );
     //Create the names entry. A bit ugly but faster (I guess...) afterward.
-- 
1.9.1

